package main

import (
	"flag"
	"log"
	"gopkg.in/ini.v1"

	"git.chaotic.ninja/yakumo_izuru/chen"
	"github.com/jbuchbinder/go-xmppbot"
)

var config struct {
	jid string
	password string
	prefix string
	nick string
	autojoin string
}

var confFile string

func init() {
	flag.StringVar(&confFile, "f", "", "Configuration file")
}

func readConf(file string) error {
	cfg, err := ini.Load(file)
	
	if err != nil {
		return err
	}

	config.jid = cfg.Section("chen").Key("jid").String()
	config.password = cfg.Section("chen").Key("password").String()
	config.prefix = cfg.Section("chen").Key("prefix").String()
	config.nick = cfg.Section("chen").Key("nick").String()
	config.autojoin = cfg.Section("chen").Key("autojoin").String()

	return nil
}

func main() {
	flag.Parse()
	if confFile != "" {
		log.Println("Loading configuration file for Chen")
		readConf(confFile)
	} else {
		log.Fatal("No configuration file has been provided")
	}
	log.Printf("Chen v%s starting with config %s\n", chen.FullVersion(), confFile)
}
